Fix doc generation for Python3

Bug #1693670 reported by Rajat Sharma on 2017-05-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Barbican
Fix Released
Undecided
Vu Cong Tuan
Cue
Undecided
Pallavi
Designate
Undecided
Pallavi
Glance
Undecided
M V P Nitesh
Meteos
Undecided
Pallavi
OpenStack Backup/Restore and DR (Freezer)
Undecided
Pallavi
OpenStack DBaaS (Trove)
Undecided
Nguyen Hung Phuong
OpenStack Object Storage (swift)
Undecided
Pallavi
OpenStack Security Advisory
Undecided
Pallavi
Python client library for Zaqar
Undecided
Pallavi
Zun
Undecided
Pallavi
glance_store
Undecided
luqitao
ldappool
Undecided
Pallavi
neutron
Low
Vu Cong Tuan
python-heatclient
In Progress
Undecided
Pallavi
python-senlinclient
Undecided
Pallavi
tacker
Undecided
Unassigned
tempest
Undecided
ZhangHongtao
zaqar
Undecided
Rajat Sharma

Bug Description

Fix the Sphinx html_last_updated_fmt for Python3.
The html_last_updated_fmt option is interpeted as a
byte string in python3, causing Sphinx build to break.
This patch makes it utf-8 string.

Rajat Sharma (tajar29) on 2017-05-26
Changed in tacker:
assignee: nobody → Rajat Sharma (tajar29)
Changed in tacker:
status: New → In Progress
Rajat Sharma (tajar29) on 2017-05-26
Changed in tacker:
status: In Progress → Fix Released
Rajat Sharma (tajar29) on 2017-05-26
Changed in tacker:
status: Fix Released → In Progress
yong sheng gong (gongysh) wrote :

what is the error output like?

Reviewed: https://review.openstack.org/457921
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=4eb91c8fd7ca9db3f615de4dc9cca8f6d472c43d
Submitter: Jenkins
Branch: master

commit 4eb91c8fd7ca9db3f615de4dc9cca8f6d472c43d
Author: rajat29 <email address hidden>
Date: Wed Apr 19 13:54:14 2017 +0530

    Fix doc generation for Python3

    Fix the Sphinx html_last_updated_fmt for Python3.
    The html_last_updated_fmt option is interpeted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Closes-Bug:#1693670
    Change-Id: I90aad6b604084c93e493fbb20acff2321104fdea

Changed in tacker:
status: In Progress → Fix Released
Vu Cong Tuan (tuan.vu) wrote :

Hi Rajat Sharma,

I've just assigned this bug (tacker) to me by mistake.
Could you please help to assign it to you again?
Sorry for this inconvenience.

Wish you a great day ahead!
Tuan

affects: tacker → zaqar
Changed in zaqar:
assignee: Rajat Sharma (tajar29) → Vu Cong Tuan (tuan.vu)
affects: zaqar → tacker
Changed in tacker:
assignee: Vu Cong Tuan (tuan.vu) → nobody
Changed in zaqar:
status: New → In Progress
assignee: nobody → Vu Cong Tuan (tuan.vu)
Rajat Sharma (tajar29) on 2017-06-05
Changed in zaqar:
assignee: Vu Cong Tuan (tuan.vu) → Rajat Sharma (tajar29)
status: In Progress → Fix Released
Changed in neutron:
status: New → Confirmed
assignee: nobody → Vu Cong Tuan (tuan.vu)
importance: Undecided → Low

Reviewed: https://review.openstack.org/470673
Committed: https://git.openstack.org/cgit/openstack/neutron-lib/commit/?id=ef21b5798901243ec2eed4ba8af871029c33532d
Submitter: Jenkins
Branch: master

commit ef21b5798901243ec2eed4ba8af871029c33532d
Author: Vu Cong Tuan <email address hidden>
Date: Sun Jun 4 12:27:34 2017 +0700

    Fix html_last_updated_fmt for Python3

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I261fc5fecad14dd1e9c37877388bc91d8a18b26d
    Closes-Bug:#1693670

Changed in neutron:
status: Confirmed → Fix Released

Reviewed: https://review.openstack.org/470666
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=fb262da62b33dc85b167f0ea0094bfe46f283962
Submitter: Jenkins
Branch: master

commit fb262da62b33dc85b167f0ea0094bfe46f283962
Author: Vu Cong Tuan <email address hidden>
Date: Sun Jun 4 11:58:00 2017 +0700

    Fix html_last_updated_fmt for Python3

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I71c8b7830aa8dd8a26b39be5deadcd40232b4d6b
    Closes-Bug:#1693670

This issue was fixed in the openstack/murano-dashboard 4.0.0.0b2 development milestone.

Changed in barbican:
status: New → In Progress
assignee: nobody → Vu Cong Tuan (tuan.vu)

Reviewed: https://review.openstack.org/470620
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=a0c2d904fd13aecef3674430164590c965378eb6
Submitter: Jenkins
Branch: master

commit a0c2d904fd13aecef3674430164590c965378eb6
Author: Vu Cong Tuan <email address hidden>
Date: Sat Jun 3 18:44:56 2017 +0700

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I5f529e5f15341e28b257cd42766e66390469d3f6
    Closes-Bug:#1693670

Changed in barbican:
status: In Progress → Fix Released
Pallavi (pallavi-s) on 2017-06-08
Changed in zun:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress

Reviewed: https://review.openstack.org/472238
Committed: https://git.openstack.org/cgit/openstack/zun/commit/?id=c6861fa915c35f0fe89fa34687861bcb92289e46
Submitter: Jenkins
Branch: master

commit c6861fa915c35f0fe89fa34687861bcb92289e46
Author: pallavi <email address hidden>
Date: Thu Jun 8 17:58:37 2017 +0530

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: Ie954a0fb0a0eaf6e23a1bf9a846c4fd665606acc
    Closes-Bug:#1693670

Changed in zun:
status: In Progress → Fix Released

This issue was fixed in the openstack/keystoneauth 2.21.0 release.

Pallavi (pallavi-s) on 2017-06-09
Changed in trove:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in designate:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in freezer:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in swift:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in python-heatclient:
assignee: nobody → Pallavi (pallavi-s)
M V P Nitesh (m-nitesh) on 2017-06-09
Changed in glance:
assignee: nobody → M V P Nitesh (m-nitesh)
Pallavi (pallavi-s) on 2017-06-09
Changed in python-heatclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/472537

Changed in glance:
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in python-zaqarclient:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Changed in meteos:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in ceilometer:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
luqitao (qtlu) on 2017-06-09
no longer affects: swift (Ubuntu)
Changed in tempest:
assignee: nobody → ZhangHongtao (zhanghongtao)

Fix proposed to branch: master
Review: https://review.openstack.org/472580

Changed in tempest:
status: New → In Progress
luqitao (qtlu) on 2017-06-09
Changed in glance-store:
assignee: nobody → luqitao (qtlu)
status: New → In Progress
Changed in aodh:
assignee: nobody → ZhangHongtao (zhanghongtao)
Pallavi (pallavi-s) on 2017-06-09
Changed in python-senlinclient:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Changed in cue:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/472599

Changed in aodh:
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in ldappool:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Changed in oslo.messaging:
assignee: nobody → ZhangHongtao (zhanghongtao)

Reviewed: https://review.openstack.org/472604
Committed: https://git.openstack.org/cgit/openstack/ldappool/commit/?id=68d46529c6b39292b10bf19108a0ca79fa2e79a7
Submitter: Jenkins
Branch: master

commit 68d46529c6b39292b10bf19108a0ca79fa2e79a7
Author: pallavi <email address hidden>
Date: Fri Jun 9 15:03:59 2017 +0530

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I896d6d962e4c7f932bc7e0a566a3b47205be61fb
    Closes-Bug:#1693670

Changed in oslo.messaging:
status: New → In Progress
Changed in ldappool:
status: In Progress → Fix Released
Pallavi (pallavi-s) on 2017-06-09
Changed in ossa:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress
Pallavi (pallavi-s) on 2017-06-09
Changed in panko:
assignee: nobody → Pallavi (pallavi-s)
status: New → In Progress

Reviewed: https://review.openstack.org/470677
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=c7b3030d8980c5107a06f0c321c5856642ee8179
Submitter: Jenkins
Branch: master

commit c7b3030d8980c5107a06f0c321c5856642ee8179
Author: melissaml <ma.lei@99cloud.net>
Date: Sun Jun 4 14:07:29 2017 +0800

    Fix doc generation for Python3

    Fix the Sphinx html_last_updated_fmt for Python3.
    The html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: Ia8274b7db7ff0f4e45acc778f7061c2add93c65f
    Closes-Bug:#1693670

Changed in designate:
status: In Progress → Fix Released
gordon chung (chungg) on 2017-06-09
no longer affects: panko
no longer affects: aodh
no longer affects: ceilometer
no longer affects: oslo.messaging

This issue was fixed in the openstack/barbican 5.0.0.0b2 development milestone.

This issue was fixed in the openstack/networking-midonet 5.0.0.0b2 development milestone.

This issue was fixed in the openstack/neutron-fwaas 11.0.0.0b2 development milestone.

Reviewed: https://review.openstack.org/472600
Committed: https://git.openstack.org/cgit/openstack/python-senlinclient/commit/?id=2121b9e27c579d4ee5546202851e38d747bad151
Submitter: Jenkins
Branch: master

commit 2121b9e27c579d4ee5546202851e38d747bad151
Author: pallavi <email address hidden>
Date: Fri Jun 9 14:48:56 2017 +0530

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I86b87e5672ad367b07d4f1000c5af8649ffcd0d2
    Closes-Bug:#1693670

Changed in python-senlinclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/472580
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=60dc7a3a94f28d257257f9d8cfbaa1f7732048b4
Submitter: Jenkins
Branch: master

commit 60dc7a3a94f28d257257f9d8cfbaa1f7732048b4
Author: zhanghongtao <zhanghongtao0826@126.com>
Date: Fri Jun 9 16:28:15 2017 +0800

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: If9104f4b56cd22fed87c596f990350ea877d83b6
    Closes-Bug:#1693670

Changed in tempest:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-keystoneclient 3.11.0 release.

Changed in trove:
assignee: Pallavi (pallavi-s) → M V P Nitesh (m-nitesh)

Change abandoned by M V P Nitesh (<email address hidden>) on branch: master
Review: https://review.openstack.org/472537
Reason: Sorry this is duplicate of https://review.openstack.org/#/c/457235

Change abandoned by Vu Cong Tuan (<email address hidden>) on branch: master
Review: https://review.openstack.org/470661

Reviewed: https://review.openstack.org/472593
Committed: https://git.openstack.org/cgit/openstack/meteos/commit/?id=64c3f88072288ebce86f42bef22ebc54c90421fd
Submitter: Jenkins
Branch: master

commit 64c3f88072288ebce86f42bef22ebc54c90421fd
Author: pallavi <email address hidden>
Date: Fri Jun 9 14:27:08 2017 +0530

    Fix html_last_updated_fmt for Python3.

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I119815c687546927a48d829124639b3bed649650
    Closes-Bug:#1693670

Changed in meteos:
status: In Progress → Fix Released

This issue was fixed in the openstack/karbor 0.3.0 release.

This issue was fixed in the openstack/oslo.messaging 5.28.0 release.

Reviewed: https://review.openstack.org/472581
Committed: https://git.openstack.org/cgit/openstack/glance_store/commit/?id=26241ee5d50a365afde7d576cd487577d5cdd385
Submitter: Jenkins
Branch: master

commit 26241ee5d50a365afde7d576cd487577d5cdd385
Author: luqitao <email address hidden>
Date: Fri Jun 9 04:31:29 2017 -0400

    Fix html_last_updated_fmt for Python3

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I8eb08b739d01aa38596d1c92aad9f98cb0ae1eb2
    Closes-Bug: #1693670

Changed in glance-store:
status: In Progress → Fix Released
Van Hung Pham (hungphv) on 2017-06-22
Changed in neutron-vpnaas-dashboard:
assignee: nobody → Van Hung Pham (hungphv)
huayue (huayuev5) on 2017-06-22
Changed in tacker:
assignee: nobody → huayue (huayuev5)
assignee: huayue (huayuev5) → nobody
Changed in neutron-vpnaas-dashboard:
status: New → In Progress

Change abandoned by Van Hung Pham (<email address hidden>) on branch: master
Review: https://review.openstack.org/476321
Reason: Unnecessary patch

Reviewed: https://review.openstack.org/470744
Committed: https://git.openstack.org/cgit/openstack/neutron-specs/commit/?id=38498f40df885f57dea63970ab4354e85511a0c6
Submitter: Jenkins
Branch: master

commit 38498f40df885f57dea63970ab4354e85511a0c6
Author: melissaml <ma.lei@99cloud.net>
Date: Sun Jun 4 19:35:10 2017 +0800

    Fix doc generation for Python3

    Fix the Sphinx html_last_updated_fmt for Python3.
    The html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: Ida74c8af2b28124048fcba39cd1f44ce4db3c713
    Closes-Bug:#1693670

Reviewed: https://review.openstack.org/470674
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=7930f511f05d5842f59008cdc881f9b99b1adf20
Submitter: Jenkins
Branch: master

commit 7930f511f05d5842f59008cdc881f9b99b1adf20
Author: Vu Cong Tuan <email address hidden>
Date: Sun Jun 4 12:30:48 2017 +0700

    Fix html_last_updated_fmt for Python3

    html_last_updated_fmt option is interpreted as a
    byte string in python3, causing Sphinx build to break.
    This patch makes it utf-8 string.

    Change-Id: I502588bf0ce1fff0be34e9b21ef55be95d2d7bc1
    Closes-Bug:#1693670

This issue was fixed in the openstack/tempest 16.1.0 release.

This issue was fixed in the openstack/neutron-lib 1.8.0 release.

This issue was fixed in the openstack/glance_store 0.21.0 release.

Akihiro Motoki (amotoki) on 2017-07-25
no longer affects: neutron-vpnaas-dashboard

This issue was fixed in the openstack/python-senlinclient 1.4.0 release.

This issue was fixed in the openstack/designate 5.0.0.0b3 development milestone.

This issue was fixed in the openstack/zaqar 5.0.0.0b3 development milestone.

This issue was fixed in the openstack/python-saharaclient 1.3.0 release.

This issue was fixed in the openstack/networking-sfc 5.0.0.0b3 development milestone.

This issue was fixed in the openstack/monasca-transform 0.11.0 release.

This issue was fixed in the openstack/zun 0.2.0 release.

This issue was fixed in the openstack/tacker 0.8.0 release.

This issue was fixed in the openstack/magnum 5.0.0 release.

Change abandoned by Samuel Matzek (<email address hidden>) on branch: master
Review: https://review.openstack.org/472529
Reason: Abandoning due to the duplication and no updates from the author in about 5 months.

This issue was fixed in the openstack/ldappool 2.2.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/543877

Changed in trove:
assignee: M V P Nitesh (m-nitesh) → Nguyen Hung Phuong (phuongnh)

Change abandoned by Nguyen Hung Phuong (<email address hidden>) on branch: master
Review: https://review.openstack.org/543877
Reason: Duplicate

Change abandoned by Nguyen Hung Phuong (<email address hidden>) on branch: master
Review: https://review.openstack.org/543873
Reason: Duplicate

Change abandoned by Nguyen Hung Phuong (<email address hidden>) on branch: master
Review: https://review.openstack.org/539796

Change abandoned by Nguyen Hung Phuong (<email address hidden>) on branch: master
Review: https://review.openstack.org/539806

Change abandoned by Zane Bitter (<email address hidden>) on branch: master
Review: https://review.openstack.org/472542
Reason: Irrelevant since we switched to openstackdocstheme.

Change abandoned by Min Pae (<email address hidden>) on branch: master
Review: https://review.openstack.org/472644
Reason: cue is being retired

Changed in glance:
status: In Progress → Fix Released

This issue was fixed in the openstack/monasca-ceilometer 1.8.0 release.

This issue was fixed in the openstack/ec2-api 7.0.0 release.

This issue was fixed in the openstack/aodh 7.0.0 release.

Change abandoned by Jens Harbott (frickler) (<email address hidden>) on branch: master
Review: https://review.openstack.org/472531

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers